Bug 731524

Summary: Review Request: gnatcoll - Suite of reusable software components and utilities
Product: [Fedora] Fedora Reporter: Pavel Zhukov <pavel>
Component: Package ReviewAssignee: Oxana Kurysheva <okurysheva>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, okurysheva, package-review
Target Milestone: ---Flags: okurysheva: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gnatcoll-2011-6.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-09-01 16:13:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Pavel Zhukov 2011-08-17 19:21:29 UTC
Spec URL: http://landgraf.fedorapeople.org/packages/requested/gnatcoll/gnatcoll.spec
SRPM URL: http://landgraf.fedorapeople.org/packages/requested/gnatcoll/gnatcoll-2011-3.fc15.src.rpm
Description: The GNAT Component Collection is a suite of reusable software components and utilities. It has been used by AdaCore in developing the GNAT tool set, the GPS Integrated Development Environment, and GNAT Tracker, its web-based customer support interface

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3280577

Comment 1 Pavel Zhukov 2011-08-17 19:38:13 UTC
new build (Add ldconfig and ExcludeArch)
SRPM URL:
http://landgraf.fedorapeople.org/packages/requested/gnatcoll/gnatcoll-2011-4.fc15.src.rpm

Comment 2 Oxana Kurysheva 2011-08-18 05:50:56 UTC
I'll review it

Comment 3 Oxana Kurysheva 2011-08-18 08:46:14 UTC
# MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
>>> OK
# MUST: The package must be named according to the Package Naming Guidelines .
>>> OK
# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
>>> OK
# MUST: The package must meet the Packaging Guidelines (Ada packaging guidelines)
>>> OK
# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
>>> OK (GPL)
# MUST: The License field in the package spec file must match the actual license.
>>> OK
# MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
>>> OK 
# MUST: The spec file must be written in American English.
>>> OK
# MUST: The spec file for the package MUST be legible. 
>>> OK
# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
>>> OK
# MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
>>> OK
# MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. 
>>> OK
# MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
>>> OK
# MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden
>>> NA
# MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
>>> OK
# MUST: Packages must NOT bundle copies of system libraries.
>>> OK
# MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
>>> OK
# MUST: A package must own all directories that it creates.
>>> OK
# MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
>>> OK
# MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
>>> OK
# MUST: Each package must consistently use macros.
>>> OK
# MUST: The package must contain code, or permissable content. 
>>> OK
# MUST: Large documentation files must go in a -doc subpackage
>>> NA
# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
>>> OK
# MUST: Header files must be in a -devel package. 
>>> OK
# MUST: Static libraries must be in a -static package. 
>>> NA
# MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
>>> OK
# MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} 
>>> OK
# MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
>>> OK
# MUST: Packages containing GUI applications must include a %{name}.desktop file,
>>> NA
# MUST: Packages must not own files or directories already owned by other packages.
>>> OK
# MUST: All filenames in rpm packages must be valid UTF-8. [24]
>>> OK


APPROVED!

Comment 4 Pavel Zhukov 2011-08-18 08:52:16 UTC
New Package SCM Request
=======================
Package Name: gnatcoll
Short Description: Suite of reusable software components and utilities for Ada developers
Owners: landgraf
Branches: f15 f16
InitialCC:

Comment 5 Gwyn Ciesla 2011-08-18 10:13:33 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-08-18 17:20:20 UTC
gnatcoll-2011-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnatcoll-2011-5.fc15

Comment 7 Fedora Update System 2011-08-18 17:43:34 UTC
gnatcoll-2011-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnatcoll-2011-5.fc16

Comment 8 Fedora Update System 2011-08-18 22:04:21 UTC
gnatcoll-2011-5.fc16 has been pushed to the Fedora 16 testing repository.

Comment 9 Fedora Update System 2011-09-03 14:57:10 UTC
gnatcoll-2011-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnatcoll-2011-6.fc16

Comment 10 Fedora Update System 2011-09-07 00:05:52 UTC
gnatcoll-2011-5.fc15 has been pushed to the Fedora 15 stable repository.

Comment 11 Fedora Update System 2011-09-30 18:35:41 UTC
gnatcoll-2011-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.